## org.apache.batik.dom.svg
Class AbstractSVGPointList.SVGPointItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPointList.SVGPointItem

All Implemented Interfaces:
  SVGItem, SVGPoint

Enclosing class:
  AbstractSVGPointList

protected class AbstractSVGPointList.SVGPointItem
extends AbstractSVGItem
implements SVGPoint

Representation of the item SVGPoint.

Field Summary
`protected float` `x`
`protected float` `y`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Constructor Summary
`AbstractSVGPointList.SVGPointItem(float x, float y)` Default contructor.

Method Summary
`protected java.lang.String` `getStringValue()` Return a String representation of on SVGPoint in a SVGPointList.
`float` `getX()`
`float` `getY()`
`SVGPoint` `matrixTransform(SVGMatrix matrix)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected float x

### y

    protected float y

Constructor Detail

### AbstractSVGPointList.SVGPointItem

    public AbstractSVGPointList.SVGPointItem(float x,
                                             float y)

  Default contructor.

Parameters:
  `x` - x-axis value
  `y` - y-axis value

Method Detail

### getStringValue

    protected java.lang.String getStringValue()

  Return a String representation of on SVGPoint in a SVGPointList.

  Specified by:
    `getStringValue` in class `AbstractSVGItem`
  Returns:
    String representation of the item

### getX

    public float getX()

  Specified by:
    `getX` in interface `SVGPoint`

### getY

    public float getY()

  Specified by:
    `getY` in interface `SVGPoint`

### setX

    public void setX(float x)

  Specified by:
    `setX` in interface `SVGPoint`

### setY

    public void setY(float y)

  Specified by:
    `setY` in interface `SVGPoint`

### matrixTransform

    public SVGPoint matrixTransform(SVGMatrix matrix)

  Specified by:
    `matrixTransform` in interface `SVGPoint`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.